Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 776421 (CVE-2021-28363) - <dev-python/urllib3-1.26.4: Improper HTTPS certificate validation (CVE-2021-28363)
Summary: <dev-python/urllib3-1.26.4: Improper HTTPS certificate validation (CVE-2021-2...
Status: RESOLVED FIXED
Alias: CVE-2021-28363
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa+ cve]
Keywords: ALLARCHES
Depends on:
Blocks:
 
Reported: 2021-03-15 18:53 UTC by Sam James
Modified: 2021-07-15 05:26 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2021-03-15 18:53:25 UTC
Description:
"The urllib3 library 1.26.x before 1.26.4 for Python omits SSL certificate validation in some cases involving HTTPS to HTTPS proxies. The initial connection to the HTTPS proxy (if an SSLContext isn't given via proxy_config) doesn't verify the hostname of the certificate. This means certificates for different servers that still validate properly with the default urllib3 SSLContext will be silently accepted."
Comment 1 Sam James archtester gentoo-dev Security 2021-03-15 21:47:08 UTC
Tell us when ready to stable.
Comment 2 Sam James archtester gentoo-dev Security 2021-03-24 07:12:53 UTC
ping
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-03-24 08:03:29 UTC
Sorry, thought you CC-ed arches when adding package list ;-).
Comment 4 Rolf Eike Beer archtester 2021-03-25 06:42:11 UTC
hppa stable
Comment 5 Sam James archtester gentoo-dev Security 2021-03-25 23:19:15 UTC
amd64 arm arm64 ppc ppc64 s390 sparc x86 (ALLARCHES) done

all arches done
Comment 6 John Helmert III gentoo-dev Security 2021-03-25 23:25:49 UTC
Please cleanup.
Comment 7 Larry the Git Cow gentoo-dev 2021-03-26 09:41:53 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce9fd297c7434fbe409440a054bee6efd526ef41

commit ce9fd297c7434fbe409440a054bee6efd526ef41
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2021-03-26 08:29:09 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2021-03-26 09:41:30 +0000

    dev-python/urllib3: Remove old
    
    Bug: https://bugs.gentoo.org/776421
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/urllib3/Manifest                 |  2 -
 dev-python/urllib3/urllib3-1.25.11.ebuild   | 69 ----------------------------
 dev-python/urllib3/urllib3-1.26.3-r1.ebuild | 71 -----------------------------
 3 files changed, 142 deletions(-)
Comment 8 John Helmert III gentoo-dev Security 2021-07-13 14:50:19 UTC
GLSA request filed.
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2021-07-15 05:26:21 UTC
This issue was resolved and addressed in
 GLSA 202107-36 at https://security.gentoo.org/glsa/202107-36
by GLSA coordinator John Helmert III (ajak).